<div class="section banner">
  <div class="container">
      <div class="row">
          <div class="col s12 m9">
              <h1 class="header center-on-small-only">Server side the Angular way</h1>
          </div>
      </div>
  </div>
</div>
<div class="container">
  <div class="row">
      <div class="col s12 m9 l12">
          <div class="section">
              <div id="preview" class="col s12 m9 l12">
                  <h4 class="header">Preview</h4>
                  <table datatable [dtOptions]="dtOptions" class="row-border hover">
                      <thead>
                          <tr>
                              <th>ID</th>
                              <th>First name</th>
                              <th>Last name</th>
                          </tr>
                      </thead>
                      <tbody *ngIf="persons?.length != 0">
                          <tr *ngFor="let person of persons">
                              <td>{{ person.id }}</td>
                              <td>{{ person.firstName }}</td>
                              <td>{{ person.lastName }}</td>
                          </tr>
                      </tbody>
                      <tbody *ngIf="persons?.length == 0">
                        <tr>
                          <td colspan="3" class="no-data-available">No data!</td>
                      </tr>
                      </tbody>
                  </table>
                  <!-- <app-server-side-angular-way-snippet></app-server-side-angular-way-snippet> -->
              </div>
          </div>
      </div>
  </div>
</div>